Zum Inhalt

Get itemTransfer

Retrieve the properties and relationships of a item transfer object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/itemsTransferWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a itemTransfer object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/itemsTransferWebCon({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "083d4203-0e30-ee11-bdfc-6045bde98c16",
    "no": "1896-S",
    "no2": "",
    "description": "ATHENS Schreibtisch",
    "description2": "",
    "searchDescription": "ATHENS SCHREIBTISCH",
    "baseUnitOfMeasure": "STÜCK",
    "salesUnitOfMeasure": "STÜCK",
    "unitPrice": 1005.8,
    "unitListPrice": 0,
    "grossWeight": 39.79,
    "netWeight": 34.6,
    "unitVolume": 1.2,
    "freightType": "",
    "countryRegionPurchasedCode": "",
    "blocked": false,
    "priceIncludesVAT": false,
    "vatBusPostingGrPrice": "",
    "genProdPostingGroup": "HANDEL",
    "genProdPostingGroupId": "f43e4203-0e30-ee11-bdfc-6045bde98c16",
    "manufacturerCode": "",
    "itemCategoryCode": "SCHREIBT",
    "itemCategoryId": "5fdd3a09-0e30-ee11-bdfc-6045bde98c16",
    "expirationCalculation": "",
    "commonItemNo": "",
    "lastDateModified": "2023-08-01",
    "webshopItemTWC": false,
    "itemDiscGroup": "",
    "webshopFilterTWC": "",
    "variantFilter": "",
    "itemVariant": null,
    "itemVendorsTWC": [],
    "itemSalesPricesWebCon": [],
    "itemTranslationsTWC": [],
    "itemAttributesTWC": [
        {
            "@odata.etag": "W/\"JzE5OzU0NTI5NTM3ODU1MDcxOTM0NDExOzAwOyc=\"",
            "id": "04bdb026-0e30-ee11-bdfc-6045bde98c16",
            "itemAttributeID": 1,
            "itemAttributeValueID": 8,
            "name": "Farbe",
            "value": "Schwarz"
        },
        {
            "@odata.etag": "W/\"JzE5OzIxOTk4NTcxMzg3ODkxODExMTIxOzAwOyc=\"",
            "id": "05bdb026-0e30-ee11-bdfc-6045bde98c16",
            "itemAttributeID": 2,
            "itemAttributeValueID": 12,
            "name": "Tiefe",
            "value": "100"
        },
        {
            "@odata.etag": "W/\"JzE5OzI2MTU3NTg3NjgyMjY4OTQ1MjExOzAwOyc=\"",
            "id": "06bdb026-0e30-ee11-bdfc-6045bde98c16",
            "itemAttributeID": 3,
            "itemAttributeValueID": 13,
            "name": "Breite",
            "value": "200"
        }
    ]
}

See also

Tips for working with the APIs
itemTransfer